# If you have trouble building locally ('make local') try adding
#   %libguestfs_buildnet 1
# to your ~/.rpmmacros file.

# Enable to build using a network repo
# Default is disabled
%if %{defined libguestfs_buildnet}
%global buildnet %{libguestfs_buildnet}
%else
%global buildnet 0
%endif 

# Enable to make the appliance use virtio_blk
# Default is enabled
%if %{defined libguestfs_virtio}
%global with_virtio %{libguestfs_virtio}
%else
%global with_virtio 1
%endif 

# Mirror and updates repositories to use if building with network repo
%if %{defined libguestfs_mirror}
%global mirror %{libguestfs_mirror}
%else
%global mirror http://download.devel.redhat.com/brewroot/repos/RHEL-6.0-build/latest/x86_64
%endif
%if %{defined libguestfs_updates}
%global updates %{libguestfs_updates}
%else
%global updates none
%endif

# Enable to run tests during check
# Default is enabled
%if %{defined libguestfs_runtests}
%global runtests %{libguestfs_runtests}
%else
%global runtests 1
%endif

Summary:       Access and modify virtual machine disk images
Name:          libguestfs
Epoch:         1
Version:       1.7.17
Release:       26%{?dist}
License:       LGPLv2+
Group:         Development/Libraries
URL:           http://libguestfs.org/
Source0:       http://libguestfs.org/download/1.7-development/%{name}-%{version}.tar.gz
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root
ExclusiveArch: x86_64

# These patches are documented in each individual patch file.
Patch0000: libguestfs-1.7.13-no-fuse-test.patch
Patch0001: 0001-df-Fix-segfault-when-using-virt-df-a-filename.patch
Patch0002: 0002-protocol-Upload-progress-messages-and-optional-argum.patch
Patch0003: 0003-protocol-Send-progress_hint-in-header.patch
Patch0004: 0004-protocol-Really-read-4-bytes-while-checking-for-canc.patch
Patch0005: 0005-protocol-Handle-progress-notification-messages-durin.patch
Patch0006: 0006-Add-progress-notification-messages-to-upload-and-upl.patch
Patch0007: 0007-Fix-argv-struct-mixup-over-Int-Int64.patch
Patch0008: 0008-fish-Fix-generation-of-code-to-handle-Int-Int64-opti.patch
Patch0009: 0009-generator-Code-to-handle-optional-arguments-in-daemo.patch
Patch0010: 0010-appliance-Don-t-look-for-kmod.whitelist.patch
Patch0011: 0011-New-API-mkfs_opts-mkfs-with-optional-arguments.patch
Patch0012: 0012-regressions-Disable-test-for-576879.patch
Patch0013: 0013-fuse-Fix-segfault-in-guestmount-verbose.patch
Patch0014: 0014-fuse-Fix-emulation-of-open-call.patch
Patch0015: 0015-docs-Note-that-guestfs_sync-is-no-longer-necessary.patch
Patch0016: 0016-docs-Link-to-guestfs-examples-3-after-simple-example.patch
Patch0017: 0017-rescue-Add-note-about-using-virt-rescue-as-root-non-.patch
Patch0018: 0018-rescue-Add-notes-about-networking.patch
Patch0019: 0019-fish-Remove-some-unused-local-variables.patch
Patch0020: 0020-inspector-Remove-some-unused-local-variables.patch
Patch0021: 0021-cat-Remove-some-unused-local-variables-in-virt-cat.c.patch
Patch0022: 0022-Remove-several-unused-local-variables.patch
Patch0023: 0023-win-reg-Move-documentation-after-options-combine-she.patch
Patch0024: 0024-win-reg-Add-Windows-Tips-to-documentation.patch
Patch0025: 0025-daemon-Use-prog_exists-to-check-for-features.patch
Patch0026: 0026-appliance-Be-careful-about-cleaning-up-old-appliance.patch
Patch0027: 0027-Remove-extra-n-character-from-end-of-error-messages.patch
Patch0028: 0028-appliance-Touch-cached-appliance-files-so-they-don-t.patch
Patch0029: 0029-appliance-Don-t-set-utime-on-cachedir-until-we-know-.patch
Patch0030: 0030-fish-Split-.-.-options-into-separate-items-in-man-pa.patch
Patch0031: 0031-fish-Document-equivalence-of-a-add-etc.-in-man-page.patch
Patch0032: 0032-fish-Clarify-documentation-for-ro-option.patch
Patch0033: 0033-appliance-Add-attr-package-for-xattr-support-in-virt.patch
Patch0034: 0034-New-APIs-getxattr-and-lgetxattr-to-get-single-extend.patch
Patch0035: 0035-ntfs-3g-Document-problems-with-symlinks-and-alternat.patch
Patch0036: 0036-docs-Fix-link-to-function-in-documentation-of-du-and.patch
Patch0037: 0037-docs-Add-section-on-using-dev-fd-with-upload-and-dow.patch
Patch0038: 0038-appliance-Use-a-temporary-file-when-processing-packa.patch
Patch0039: 0039-fuse-Add-more-tracing-for-calls-into-guestmount-func.patch
Patch0040: 0040-docs-Refresh-README-file.patch
Patch0041: 0041-docs-Obsolete-HACKING-file-move-content-into-guestfs.patch
Patch0042: 0042-api-support-Fix-detection-of-similar-APIs.patch
Patch0043: 0043-docs-Update-API-support.patch
Patch0044: 0044-fish-ro-will-be-default-in-1.10-not-1.8.patch
Patch0045: 0045-recipes-Refresh-guestfish-recipes.patch
Patch0046: 0046-docs-Refresh-guestfs-3-MOUNTING.patch
Patch0047: 0047-docs-Refresh-guestfs-3-DOWNLOADING.patch
Patch0048: 0048-docs-Fix-missing-g-handle-in-guestfs-3-man-page.patch
Patch0049: 0049-docs-Refresh-programming-language-equivalence-exampl.patch
Patch0050: 0050-docs-Refresh-programming-language-list-in-guestfs-3.patch
Patch0051: 0051-docs-add-domain-Remove-ref-to-not-impl-add-libvirt-d.patch
Patch0052: 0052-podwrapper-builddir-was-not-defined-use-a-properly-d.patch
Patch0053: 0053-podwrapper-Fix-script-indentation.patch
Patch0054: 0054-podwrapper-Fix-up-the-HTML-output-so-most-inter-page.patch
Patch0055: 0055-Lib.pm-avoid-message-unknown-filesystem-dev-fd0-RHBZ.patch
Patch0056: 0056-Lib.pm-unknown-filesystem-label-SWAP-sda2-RHBZ-66657.patch
Patch0057: 0057-Lib.pm-unknown-filesystem-dev-hd-x-cdrom-RHBZ-666577.patch
Patch0058: 0058-inspector-Apps-in-Windows-VMs-are-now-listed-update-.patch
Patch0059: 0059-Add-initial-announcement-to-release-notes.patch
Patch0060: 0060-filesystems-Document-the-columns-in-long-output.patch
Patch0061: 0061-.gitignore-Use-full-paths-for-some-ignored-files.patch
Patch0062: 0062-fish-Fix-off-by-one-bug-in-tilde-expansion.patch
Patch0063: 0063-fish-fails-to-tilde-expand-when-HOME-env-is-unset-RH.patch
Patch0064: 0064-resize-Fix-typo-in-man-page-thanks-avesh-IRC.patch
Patch0065: 0065-virt-filesystems-Ignore-errors-when-getting-label-an.patch
Patch0066: 0066-fish-Don-t-fail-if-some-mountpoints-in-etc-fstab-are.patch
Patch0067: 0067-virt-make-fs-Fix-typo-in-man-page.patch
Patch0068: 0068-Add-a-prefix-to-output-when-tracing-RHBZ-673479.patch
Patch0069: 0069-Fix-test-guestfish-a.sh-regression-test-for-new-trac.patch
Patch0070: 0070-Fix-trace-segfault-for-non-daemon-functions-RHBZ-682.patch
Patch0071: 0071-perl-Canonicalize-dev-vd-paths-in-old-inspection-cod.patch
Patch0072: 0072-python-Convert-any-iterable-argument-to-a-list-RHBZ-.patch
Patch0073: 0073-virt-make-fs-Round-disk-size-to-integer-fix-for-qemu.patch
Patch0074: 0074-df-Skip-final-character-when-calculating-basename.patch
Patch0075: 0075-inspect-Add-macros-for-file-size-limits.patch
Patch0076: 0076-fish-exit_on_error-is-a-local-variable.patch
Patch0077: 0077-fish-Make-exit_on_error-into-a-completely-local-vari.patch
Patch0078: 0078-fish-Factor-out-command-line-parsing.patch
Patch0079: 0079-fish-Initialize-pcmd-structure.patch
Patch0080: 0080-fish-Fix-typo-in-error-message-copy-in-should-be-cop.patch
Patch0081: 0081-packagelist-Add-ufsutils-for-Debian-and-Ubuntu.patch
Patch0082: 0082-generator-Fix-generation-of-library-side-stubs-with-.patch
Patch0083: 0083-mkfs-opts-Add-a-note-about-blocksize-param-and-UFS-f.patch
Patch0084: 0084-daemon-Add-perror-to-two-exit-paths-to-make-errors-c.patch
Patch0085: 0085-lib-Fix-use-after-free-bug-in-XPath-parsing-code.patch
Patch0086: 0086-perl-Ignore-internal_-functions-in-POD-coverage-test.patch
Patch0087: 0087-php-Ignore-another-generated-file-in-php-extension-d.patch
Patch0088: 0088-lib-Move-appliance-launching-to-separate-function.patch
Patch0089: 0089-daemon-change-to-root-directory.patch
Patch0090: 0090-daemon-Ignore-return-value-from-chdir.patch
Patch0091: 0091-java-Enable-assertions-when-doing-make-check.patch
Patch0092: 0092-java-Remove-old-test-file-if-one-was-left-around.patch
Patch0093: 0093-java-Fix-a-minor-whitespace-error-in-generated-code.patch
Patch0094: 0094-java-Return-Map-String-String-for-RHashtable-functio.patch
Patch0095: 0095-java-Fix-generated-functions-that-return-RHashtable.patch
Patch0096: 0096-java-Add-a-test-of-g.list_filesystems-a-function-tha.patch
Patch0097: 0097-Fix-inspection-code-when-PCRE-or-hivex-is-missing.patch
Patch0098: 0098-virt-make-fs-In-debug-mode-print-qemu-img-command-li.patch
Patch0099: 0099-generator-Introduce-error-code-errcode-concept.patch
Patch0100: 0100-Include-locale.h-in-compilation-units-that-use-setlo.patch
Patch0101: 0101-Detect-Red-Hat-Desktop-as-rhel-distro-RHBZ-682979.patch
Patch0102: 0102-RHEL5-Make-use-of-futimens-function-optional.patch
Patch0103: 0103-configure-Remove-unnecessary-variable-assignment.patch
Patch0104: 0104-RHEL5-Old-pod2man-didn-t-have-stderr-or-u-options.patch
Patch0105: 0105-check-the-pid-is-0-before-calling-waitpid.patch
Patch0106: 0106-check-the-pid-is-0-before-calling-waitpid.patch
Patch0107: 0107-regressions-Split-the-test-rhbz576879.sh-into-two-ha.patch
Patch0108: 0108-regressions-Rename-the-file-we-are-uploading-too.patch
Patch0109: 0109-haskell-Small-fixes-for-ghc-7.patch
Patch0110: 0110-regressions-Enable-both-tests-for-bug-576879-not-fix.patch
Patch0111: 0111-proto-Don-t-drop-outgoing-message-when-daemon-cancel.patch
Patch0112: 0112-proto-Fix-FileIn-ops-that-abort-during-the-chunk-upl.patch
Patch0113: 0113-proto-Fix-both-ends-cancel-case.patch
Patch0114: 0114-fish-Add-all-stamp-.pod-files-to-CLEANFILES.patch
Patch0115: 0115-guestfs-3-Indent-line-to-keep-code-together.patch
Patch0116: 0116-guestfs-3-kernel-supermin-appliance.patch
Patch0117: 0117-inspect-Simplify-Windows-root-heuristic-code.patch
Patch0118: 0118-inspect-Don-t-fail-for-Windows-guests-with-multiple-.patch
Patch0119: 0119-fish-Add-w-rw-option-to-help-output.patch
Patch0120: 0120-fish-Add-better-quick-help-to-help-output.patch
Patch0121: 0121-Rename-tmpdir-sock-to-tmpdir-guestfsd.sock.patch
Patch0122: 0122-mkfs-Force-mke2fs-to-create-a-filesystem-even-on-raw.patch
Patch0123: 0123-RHEL-5-Use-mke4fs-on-RHEL-5-as-replacement-for-mke2f.patch
Patch0124: 0124-fuse-Fix-getxattr-listxattr-calls-and-add-a-regressi.patch
Patch0125: 0125-README-Note-that-getfacl-getfattr-are-optional-depen.patch
Patch0126: 0126-tests-Don-t-fail-when-compiled-without-support-for-N.patch
Patch0127: 0127-Exclude-po-docs-directory-completely-if-po4a-not-ava.patch
Patch0128: 0128-fuse-Document-w-flag-in-help-output.patch
Patch0129: 0129-rescue-Add-w-rw-option.patch
Patch0130: 0130-contrib-Fix-URLs-in-README-file.patch
Patch0131: 0131-examples-size_t-correctness-change-in-inspect_vm.c.patch
Patch0132: 0132-examples-Use-WARN_CFLAGS-WERROR_CFLAGS-macros-instea.patch
Patch0133: 0133-docs-Progress-messages-don-t-necessarily-reach-100-i.patch
Patch0134: 0134-Add-prototype-for-timeval_diff.patch
Patch0135: 0135-daemon-Reset-SIGPIPE-to-default-before-running-subpr.patch
Patch0136: 0136-daemon-When-running-commands-restart-select-if-we-re.patch
Patch0137: 0137-cat-edit-Reference-guestfish-equivalent-commands-in-.patch
Patch0138: 0138-edit-Let-root-roots-0.patch
Patch0139: 0139-edit-Move-exit-0-to-end-of-file.patch
Patch0140: 0140-Rename-resolve_windows_path_silently-to-case_sensiti.patch
Patch0141: 0141-Compile-rpcgen-generated-files-with-fno-strict-alias.patch
Patch0142: 0142-inspector-Include-hostname-in-output.patch
Patch0143: 0143-inspector-Handle-write-failures-when-creating-exampl.patch
Patch0144: 0144-fish-Fix-typo-in-guestfish-man-page-format-option.patch
Patch0145: 0145-python-Release-Python-GIL-while-running-libguestfs-c.patch
Patch0146: 0146-zero-Disable-file-test-because-of-bug-in-file-comman.patch
Patch0147: 0147-list-applications-If-software-hive-is-missing-this-i.patch
Patch0148: 0148-inspect-Look-for-systemroot-system32-for-Windows-heu.patch
Patch0149: 0149-Document-that-guestfs_file-output-depends-on-file-1-.patch
Patch0150: 0150-guestfs-examples-3-Remove-link-to-OCaml-homepage.patch
Patch0151: 0151-daemon-Fix-error-message.patch
Patch0152: 0152-virt-ls-Small-fix-for-output-of-help-option.patch
Patch0153: 0153-Only-include-date-not-time-in-BUGS-file.patch
Patch0154: 0154-protocol-Enhance-unexpected-end-of-file-when-reading.patch
Patch0155: 0155-init-Remove-timeout-in-udevadm-settle-command.patch
Patch0156: 0156-Coverity-Remove-unreachable-code.patch
Patch0157: 0157-Coverity-Don-t-call-free_strings-NULL.patch
Patch0158: 0158-Coverity-Avoid-calling-sort_strings-NULL-0-on-empty-.patch
Patch0159: 0159-Coverity-Don-t-close-fd_cwd-if-fd_cwd-1.patch
Patch0160: 0160-Coverity-Check-return-value-of-malloc.patch
Patch0161: 0161-Coverity-Check-return-value-of-sysroot_path.patch
Patch0162: 0162-Coverity-Don-t-leak-error-strings.patch
Patch0163: 0163-Coverity-Don-t-leak-argv-arrays.patch
Patch0164: 0164-Coverity-Close-directory-handle-along-error-paths.patch
Patch0165: 0165-Coverity-Ensure-fp-is-closed-along-all-error-paths.patch
Patch0166: 0166-Coverity-Missing-return-on-error-path.patch
Patch0167: 0167-Coverity-Don-t-return-freed-pointers-from-command-al.patch
Patch0168: 0168-daemon-Keep-Coverity-happy-by-ignoring-some-return-v.patch
Patch0169: 0169-generator-Rewrite-UUIDs-that-begin-with-zero-byte.patch
Patch0170: 0170-perl-Don-t-use-qw-as-parentheses.patch
Patch0171: 0171-perl-Ignore-MYMETA.yml.patch
Patch0172: 0172-trace-Print-empty-list-correctly.patch
Patch0173: 0173-Revert-Lib.pm-unknown-filesystem-label-SWAP-sda2-RHB.patch
Patch0174: 0174-inspector-Fix-comment-in-virt-inspector.rng.patch
Patch0175: 0175-Add-caution-subdirectory-containing-safety-and-liven.patch
Patch0176: 0176-protocol-Force-optargs_bitmask-to-be-passed-as-0-for.patch
Patch0177: 0177-Document-that-ntfsresize-cannot-be-used-multiple-tim.patch
Patch0178: 0178-part-get-bootable-Fix-when-partitions-are-missing-or.patch
Patch0179: 0179-mkfs-Don-t-die-if-mke2fs-is-not-available.patch
Patch0180: 0180-build-Fix-virtio-serial-test-for-qemu-0.15.patch
Patch0181: 0181-appliance-Document-pipe-fds.patch
Patch0182: 0182-appliance-Capture-stderr-from-qemu-to-the-event-syst.patch
Patch0183: 0183-blkid-Detect-when-value-not-found-and-return-empty-s.patch
Patch0184: 0184-blkid-Use-c-dev-null-option-to-kill-the-cache.patch
Patch0185: 0185-build-Allow-make-quickcheck-test-tool-args-to-be-ove.patch
Patch0186: 0186-build-Send-failed-Perl-test-configure-output-to-conf.patch
Patch0187: 0187-build-Redirect-.-configure-errors-in-general-to-conf.patch
Patch0188: 0188-perl-Fix-CCFLAGS-for-Perl-5.14.patch
Patch0189: 0189-test-tool-Print-FEBOOTSTRAP_-environment-variables-R.patch
Patch0190: 0190-virt-df-Re-add-documentation-for-csv-option.patch
Patch0191: 0191-ocaml-Fix-locking-in-event-callbacks.patch
Patch0192: 0192-perl-Fix-another-place-where-qw-was-used-as-parenthe.patch
Patch0193: 0193-Don-t-fail-if-HOSTNAME-field-is-missing-on-Red-Hat-g.patch
Patch0194: 0194-Change-link-since-PostgreSQL-switched-to-using-git.patch
Patch0195: 0195-virt-tar-test-Stable-ordering-of-test-output.patch
Patch0196: 0196-debian-Add-gawk-to-packagelist.patch
Patch0197: 0197-debian-bash-is-required-to-run-libtool-replacement-s.patch
Patch0198: 0198-docs-guestfs_set_out_of_memory_handler-returns-void-.patch
Patch0199: 0199-docs-Fix-function-names-in-deprecation-notices.patch
Patch0200: 0200-inspect-Detect-32-bit-applications-running-on-WOW64-.patch
Patch0201: 0201-perl-Binding-and-test-for-guestfs_last_errno-RHBZ-67.patch
Patch0202: 0202-New-API-list-dm-devices-RHBZ-688062.patch
Patch0203: 0203-fish-Show-device-mapper-device-in-tab-completion-RHB.patch
Patch0204: 0204-Fix-unknown-filesystem-warnings-in-old-inspection-co.patch
Patch0205: 0205-fish-Document-that-remote-run-in-cmd-substitution-co.patch
Patch0206: 0206-Note-that-additional-memory-may-be-required-to-typec.patch

# RHEL 6 specific patches (not upstream).
Patch0502: 0502-RHEL-6-Include-first-version-of-virt-inspector-fro.patch
Patch0503: 0503-RHEL-6-Directly-include-String-ShellQuote.patch
Patch0505: 0505-RHEL-6-Emphasize-libguestfs-winsupport-package-RHB.patch
Patch0506: 0506-RHEL-6-Require-external-hex-editor-set-with.patch
Patch0507: 0507-RHEL-6-Document-that-fullvirt-query-only-works-for-L.patch

# Basic build requirements:
BuildRequires: /usr/bin/pod2man
BuildRequires: /usr/bin/pod2text
BuildRequires: febootstrap >= 2.11
BuildRequires: hivex-devel >= 1.2.2
BuildRequires: augeas-devel >= 0.5.0
BuildRequires: readline-devel
BuildRequires: genisoimage
BuildRequires: libxml2-devel
BuildRequires: qemu-kvm >= 2:0.12.1.0
BuildRequires: createrepo
BuildRequires: glibc-static
BuildRequires: libselinux-devel
BuildRequires: fuse-devel
BuildRequires: pcre-devel
BuildRequires: file-devel
BuildRequires: libvirt-devel
BuildRequires: gperf
BuildRequires: db4-utils

# In RHEL 5 we used to include autotools changes in the patches, but
# in RHEL 6 we now re-run autotools after applying the patches, hence
# we need to depend on these:
BuildRequires: automake, autoconf, libtool, gettext

# Use git to manage patches.
BuildRequires: git

# Build requirements for the appliance (see 'make.sh.in' in the source):
BuildRequires: kernel, bash, coreutils, lvm2, util-linux-ng
BuildRequires: MAKEDEV, net-tools, augeas-libs, file
BuildRequires: module-init-tools, procps, strace, iputils
BuildRequires: e2fsprogs
BuildRequires: dosfstools, lsof, scrub, libselinux
BuildRequires: parted, btrfs-progs
BuildRequires: vim-minimal
BuildRequires: binutils
BuildRequires: cryptsetup-luks
%ifarch %{ix86} x86_64
BuildRequires: grub
%endif
# Although libguestfs will build against older versions of augeas, we require
# the latest available version during the build so that the supermin appliance
# will pick up all available lenses.
BuildRequires: augeas-libs >= 0.7.2-4.el6
# Not available in RHEL-6:
#BuildRequires: hfsplus-tools, nilfs-utils, reiserfs-utils
#BuildRequires: jfsutils, gfs-utils, gfs2-utils
#BuildRequires: zerofree
#BuildRequires: ntfs-3g, ntfsprogs
# xfsprogs is a layered product (RHBZ#630986).
#BuildRequires: xfsprogs

# Must match the above set of BuildRequires exactly!
Requires:      kernel, bash, coreutils, lvm2, util-linux-ng
Requires:      MAKEDEV, net-tools, augeas-libs, file
Requires:      module-init-tools, procps, strace, iputils
Requires:      e2fsprogs
Requires:      dosfstools, lsof, scrub, libselinux
Requires:      parted, btrfs-progs
Requires:      vim-minimal
Requires:      binutils
Requires:      cryptsetup-luks
%ifarch %{ix86} x86_64
Requires:      grub
%endif
# Not available in RHEL-6:
#Requires:      hfsplus-tools, nilfs-utils, reiserfs-utils
#Requires:      jfsutils, gfs-utils, gfs2-utils
#Requires:      zerofree
#Requires:      ntfs-3g, ntfsprogs
# xfsprogs is a layered product (RHBZ#630986).
#Requires:      xfsprogs

# These are only required if you want to build the bindings for
# different languages:
BuildRequires: ocaml
BuildRequires: ocaml-findlib-devel
BuildRequires: perl-devel
BuildRequires: perl-Test-Simple
BuildRequires: perl-Test-Pod
BuildRequires: perl-Test-Pod-Coverage
BuildRequires: perl-ExtUtils-MakeMaker
BuildRequires: perl-XML-Writer
BuildRequires: perl-libintl
BuildRequires: python-devel
BuildRequires: ruby-devel
BuildRequires: rubygem-rake
BuildRequires: java >= 1.5.0
BuildRequires: jpackage-utils
BuildRequires: java-devel

# For libguestfs-tools:
BuildRequires: perl-Sys-Virt
BuildRequires: qemu-img

# Runtime requires:
Requires:      qemu-kvm >= 2:0.12.1.0
Requires:      febootstrap-supermin-helper >= 2.11

# For libguestfs-test-tool.
Requires:      genisoimage

# For core inspection API.
Requires:      db4-utils

# Provide our own custom requires for the supermin appliance.
Source1:       libguestfs-find-requires.sh
%global _use_internal_dependency_generator 0
%global __find_provides %{_rpmconfigdir}/find-provides
%global __find_requires %{SOURCE1} %{_rpmconfigdir}/find-requires


%description
Libguestfs is a library for accessing and modifying guest disk images.
Amongst the things this is good for: making batch configuration
changes to guests, getting disk used/free statistics (see also:
virt-df), migrating between virtualization systems (see also:
virt-p2v), performing partial backups, performing partial guest
clones, cloning guests and changing registry/UUID/hostname info, and
much else besides.

Libguestfs uses Linux kernel and qemu code, and can access any type of
guest filesystem that Linux and qemu can, including but not limited
to: ext2/3/4, btrfs, FAT and NTFS, LVM, many different disk partition
schemes, qcow, qcow2, vmdk.

Libguestfs provides ways to enumerate guest storage (eg. partitions,
LVs, what filesystem is in each LV, etc.).  It can also run commands
in the context of the guest.

Libguestfs is a library that can be linked with C and C++ management
programs.

See also the 'guestfish' package for shell scripting and command line
access, and '%{name}-mount' for mounting guest filesystems on the
host using FUSE.

For Perl bindings, see 'perl-Sys-Guestfs'.

For OCaml bindings, see 'ocaml-libguestfs-devel'.

For Python bindings, see 'python-libguestfs'.

For Ruby bindings, see 'ruby-libguestfs'.

For Java bindings, see 'libguestfs-java-devel'.


%package devel
Summary:       Development tools and libraries for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{epoch}:%{version}-%{release}
Requires:      pkgconfig


%description devel
%{name}-devel contains development tools and libraries
for %{name}.


%package -n guestfish
Summary:       Shell for accessing and modifying virtual machine disk images
Group:         Development/Tools
License:       GPLv2+
Requires:      %{name} = %{epoch}:%{version}-%{release}
Requires:      /usr/bin/less
Requires:      /usr/bin/man
Requires:      /bin/vi


%description -n guestfish
Guestfish is the Filesystem Interactive SHell, for accessing and
modifying virtual machine disk images from the command line and shell
scripts.


%package mount
Summary:       Mount guest filesystems on the host using FUSE and libguestfs
Group:         Development/Tools
License:       GPLv2+
Requires:      %{name} = %{epoch}:%{version}-%{release}


%description mount
The guestmount command lets you mount guest filesystems on the
host using FUSE and %{name}.


%package tools-c
Summary:       System administration tools for virtual machines
Group:         Development/Tools
License:       GPLv2+
Requires:      %{name} = %{epoch}:%{version}-%{release}

# Obsolete and replace earlier packages.
Provides:      virt-cat = %{epoch}:%{version}-%{release}
Obsoletes:     virt-cat < %{epoch}:%{version}-%{release}
Provides:      virt-df = %{epoch}:%{version}-%{release}
Obsoletes:     virt-df < %{epoch}:%{version}-%{release}
Provides:      virt-inspector = %{epoch}:%{version}-%{release}
Obsoletes:     virt-inspector < %{epoch}:%{version}-%{release}

# RHBZ#514309
Provides:      virt-df2 = %{epoch}:%{version}-%{release}
Obsoletes:     virt-df2 < %{epoch}:%{version}-%{release}


%description tools-c
This package contains miscellaneous system administrator command line
tools for virtual machines.

Note that you should install %{name}-tools (which pulls in
this package).  This package is only used directly when you want
to avoid dependencies on Perl.


%package tools
Summary:       System administration tools for virtual machines
Group:         Development/Tools
License:       GPLv2+
Requires:      %{name} = %{epoch}:%{version}-%{release}
Requires:      %{name}-tools-c = %{epoch}:%{version}-%{release}
# NB: Only list deps here which are not picked up automatically.
Requires:      perl(Sys::Virt)
Requires:      perl(XML::Writer)
Requires:      perl(Win::Hivex)
Requires:      qemu-img


%description tools
This package contains miscellaneous system administrator command line
tools for virtual machines.

Virt-cat is a command line tool to display the contents of a file in a
virtual machine.

Virt-df is a command line tool to display free space on virtual
machine filesystems.  Unlike other tools, it doesn’t just display the
amount of space allocated to a virtual machine, but can look inside
the virtual machine to see how much space is really being used.  It is
like the df(1) command, but for virtual machines, except that it also
works for Windows virtual machines.

Virt-edit is a command line tool to edit the contents of a file in a
virtual machine.

Virt-filesystems is a command line tool to display the filesystems,
partitions, block devices, LVs, VGs and PVs found in a disk image
or virtual machine.

Virt-inspector examines a virtual machine and tries to determine the
version of the OS, the kernel version, what drivers are installed,
whether the virtual machine is fully virtualized (FV) or
para-virtualized (PV), what applications are installed and more.

Virt-list-filesystems can be used to list out the filesystems in a
virtual machine image (for shell scripts etc).

Virt-list-partitions can be used to list out the partitions in a
virtual machine image.

Virt-ls is a command line tool to list out files in a virtual machine.

Virt-make-fs is a command line tool to build a filesystem out of
a collection of files or a tarball.

Virt-rescue provides a rescue shell for making interactive,
unstructured fixes to virtual machines.

Virt-resize can resize existing virtual machine disk images.

Virt-tar is an archive, backup and upload tool for virtual machines.

Virt-win-reg lets you look inside the Windows Registry for
Windows virtual machines.


%package -n ocaml-%{name}
Summary:       OCaml bindings for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{epoch}:%{version}-%{release}


%description -n ocaml-%{name}
ocaml-%{name} contains OCaml bindings for %{name}.

This is for toplevel and scripting access only.  To compile OCaml
programs which use %{name} you will also need ocaml-%{name}-devel.


%package -n ocaml-%{name}-devel
Summary:       OCaml bindings for %{name}
Group:         Development/Libraries
Requires:      ocaml-%{name} = %{epoch}:%{version}-%{release}


%description -n ocaml-%{name}-devel
ocaml-%{name}-devel contains development libraries
required to use the OCaml bindings for %{name}.


%package -n perl-Sys-Guestfs
Summary:       Perl bindings for %{name} (Sys::Guestfs)
Group:         Development/Libraries
Requires:      %{name} = %{epoch}:%{version}-%{release}
Requires:      perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
# RHBZ#523547
Requires:      perl(XML::XPath)
# RHBZ#652587 - for backwards compat with the old name
Provides:      perl-%{name} = %{epoch}:%{version}-%{release}
Obsoletes:     perl-%{name} < %{epoch}:%{version}-%{release}


%description -n perl-Sys-Guestfs
perl-Sys-Guestfs contains Perl bindings for %{name} (Sys::Guestfs).


%package -n python-%{name}
Summary:       Python bindings for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{epoch}:%{version}-%{release}

%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

%description -n python-%{name}
python-%{name} contains Python bindings for %{name}.


%package -n ruby-%{name}
Summary:       Ruby bindings for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{epoch}:%{version}-%{release}
Requires:      ruby(abi) = 1.8
Requires:      ruby
Provides:      ruby(guestfs) = %{version}

%{!?ruby_sitelib: %define ruby_sitelib %(ruby -rrbconfig -e "puts Config::CONFIG['sitelibdir']")}
%{!?ruby_sitearch: %define ruby_sitearch %(ruby -rrbconfig -e "puts Config::CONFIG['sitearchdir']")}

%description -n ruby-%{name}
ruby-%{name} contains Ruby bindings for %{name}.


%package java
Summary:       Java bindings for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{epoch}:%{version}-%{release}
Requires:      java >= 1.5.0
Requires:      jpackage-utils

%description java
%{name}-java contains Java bindings for %{name}.

If you want to develop software in Java which uses %{name}, then
you will also need %{name}-java-devel.


%package java-devel
Summary:       Java development package for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{epoch}:%{version}-%{release}
Requires:      %{name}-java = %{epoch}:%{version}-%{release}

%description java-devel
%{name}-java-devel contains the tools for developing Java software
using %{name}.

See also %{name}-javadoc.


%package javadoc
Summary:       Java documentation for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{epoch}:%{version}-%{release}
Requires:      %{name}-java = %{epoch}:%{version}-%{release}
Requires:      jpackage-utils

%description javadoc
%{name}-javadoc contains the Java documentation for %{name}.


%prep
%setup -q

# RHEL patch repo is:
# http://git.engineering.redhat.com/?p=users/rjones/libguestfs-RHEL-6.git;a=shortlog;h=rhel-6.2
git init
git config user.email "libguestfs@redhat.com"
git config user.name "Libguestfs developers"
git add .
git commit -a -q -m "%{name} %{version}"
git am --whitespace=nowarn %{patches}

# Patches affect Makefile.am and configure.ac, so rerun autotools.
autoreconf
autoconf

mkdir -p daemon/m4


%build
%if %{buildnet}
%define extra --with-mirror=%{mirror} --with-repo=rhel-6 --with-updates=%{updates}
%else
# Build a local repository containing the packages used to
# install the current buildroot (assuming we are being built
# with mock or Koji).  Then tell febootstrap to reference this
# local repository when building the appliance.
mkdir repo
find /var/cache/yum -type f -name '*.rpm' -print0 | xargs -0 cp -t repo
createrepo repo
%define extra --with-mirror=file://$(pwd)/repo --with-repo=rhel-6 --with-updates=none
%endif

./configure \
  --prefix=%{_prefix} --libdir=%{_libdir} \
  --mandir=%{_mandir} \
  --sysconfdir=%{_sysconfdir} \
  --with-qemu="qemu-kvm qemu-system-%{_build_arch} qemu" \
  --enable-supermin \
%if %{with_virtio}
  --with-drive-if=virtio \
%endif
  --disable-php \
  --disable-haskell \
  %{extra}

# This ensures that /usr/sbin/chroot is on the path.  Not needed
# except for RHEL 5, it shouldn't do any harm on other platforms.
export PATH=/usr/sbin:$PATH

# 'INSTALLDIRS' ensures that perl libs are installed in the vendor dir
# not the site dir.
make INSTALLDIRS=vendor %{?_smp_mflags}

# Useful for debugging appliance problems.
echo "==== files in initramfs ===="
find initramfs -type f
echo "==== hostfiles ===="
ls -l appliance/supermin.d/hostfiles
cat appliance/supermin.d/hostfiles
echo "============"


%check
# Enable debugging - very useful if a test does fail, although
# it produces masses of output in the build.log.
export LIBGUESTFS_DEBUG=1

# Uncomment one of these, depending on whether you want to
# do a very long and thorough test ('make check') or just
# a quick test to see if things generally work.

# Tracking test issues:
# BZ       archs        branch reason
# 494075   ppc, ppc64          openbios bug causes "invalid/unsupported opcode"
# 504273   ppc, ppc64          "no opcode defined"
# 505109   ppc, ppc64          "Boot failure! No secondary bootloader specified"
# 502058   i386, x86-64 F-11   need to boot with noapic (WORKAROUND ENABLED)
# 502074   i386         all    commands segfault randomly
# 503236   i386         F-12   cryptomgr_test at doublefault_fn
# 507066   all          F-12   sequence of chroot calls (FIXED)
# 513249   all          F-12   guestfwd broken in qemu (FIXED)
# 516022   all          F-12   virtio-net gives "Network is unreachable" errors
#                                 (FIXED)
# 516096   ?            F-11   race condition in swapoff/blockdev --rereadpt
# 516543   ?            F-12   qemu-kvm segfaults when run inside a VM (FIXED)
# 548121   all          F-13   udevsettle command is broken (WORKAROUND)
# 553689   all          F-13   missing SeaBIOS (FIXED)
# 563103   all          F-13   glibc incorrect emulation of preadv/pwritev
#                                 (WORKAROUND using LD_PRELOAD)
# 567567   32-bit       all    guestfish xstrtol test failure on 32-bit (FIXED)
# 575734   all          F-14   microsecond resolution for blkid cache (FIXED)
# 630583   all          all    kernel hangs setting scheduler to noop
# 630777   all          F-15   task lvm blocked for more than 120 seconds
#                                 (FIXED)

# Workaround #563103
cat > rhbz563103.c <<'EOF'
#include <stdlib.h>
#include <unistd.h>
#include <errno.h>
ssize_t preadv (int fd,...) { errno = ENOSYS; return -1; }
ssize_t preadv64 (int fd,...) { errno = ENOSYS; return -1; }
ssize_t pwritev (int fd,...) { errno = ENOSYS; return -1; }
ssize_t pwritev64 (int fd,...) { errno = ENOSYS; return -1; }
EOF
gcc -fPIC -c rhbz563103.c
gcc -shared -Wl,-soname,rhbz563103.so.1 rhbz563103.o -o rhbz563103.so
LD_PRELOAD=$(pwd)/rhbz563103.so
export LD_PRELOAD

# This test fails because we build the ISO after encoding the checksum
# of the ISO in the test itself.  Need to fix the test to work out the
# checksum at runtime.
export SKIP_TEST_CHECKSUM_DEVICE=1

# Work around 'test-getlogin_r.c:55: assertion failed' in Gnulib tests.
pushd daemon/tests
borked=test-getlogin_r
make $borked
rm $borked
touch $borked
chmod +x $borked
popd

%if %{runtests}
make check
%endif


%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install

# Delete the ordinary appliance, leaving just the supermin appliance.
rm $RPM_BUILD_ROOT%{_libdir}/guestfs/vmlinuz.*
rm $RPM_BUILD_ROOT%{_libdir}/guestfs/initramfs.*

# Delete static libraries, libtool files.
rm $RPM_BUILD_ROOT%{_libdir}/libguestfs.a
rm $RPM_BUILD_ROOT%{_libdir}/libguestfs.la

find $RPM_BUILD_ROOT -name perllocal.pod -delete
find $RPM_BUILD_ROOT -name .packlist -delete
find $RPM_BUILD_ROOT -name '*.bs' -delete
find $RPM_BUILD_ROOT -name 'bindtests.pl' -delete

rm $RPM_BUILD_ROOT%{python_sitearch}/libguestfsmod.a
rm $RPM_BUILD_ROOT%{python_sitearch}/libguestfsmod.la

if [ "$RPM_BUILD_ROOT%{python_sitearch}" != "$RPM_BUILD_ROOT%{python_sitelib}" ]; then
   mkdir -p $RPM_BUILD_ROOT%{python_sitelib}
   mv $RPM_BUILD_ROOT%{python_sitearch}/guestfs.py* \
     $RPM_BUILD_ROOT%{python_sitelib}/
fi

# Remove static-linked Java bindings.
rm $RPM_BUILD_ROOT%{_libdir}/libguestfs_jni.a
rm $RPM_BUILD_ROOT%{_libdir}/libguestfs_jni.la

# Move installed documentation back to the source directory so
# we can install it using a %%doc rule.
mv $RPM_BUILD_ROOT%{_docdir}/libguestfs installed-docs

# Remove Japanese manpages, since these are not translated fully at
# the moment.  When these are translated properly we intend to add
# them back.
rm -rf $RPM_BUILD_ROOT%{_mandir}/ja/man{1,3}/

# Install virt-inspector (old) and virt-inspector2 properly.
rm installed-docs/example*.xml
rm installed-docs/virt-inspector.rng
rm $RPM_BUILD_ROOT%{_mandir}/man1/virt-inspector*
rm $RPM_BUILD_ROOT%{_bindir}/virt-inspector*

mkdir installed-docs/virt-inspector
cp inspector1/virt-inspector.rng installed-docs/virt-inspector/
cp inspector1/example*.xml installed-docs/virt-inspector/
mkdir installed-docs/virt-inspector2
cp inspector/virt-inspector.rng installed-docs/virt-inspector2/
cp inspector/example*.xml installed-docs/virt-inspector2/

make DESTDIR=$RPM_BUILD_ROOT -C inspector install
rm -rf $RPM_BUILD_ROOT%{_docdir}/libguestfs
sed 's/[Vv]irt.\?-inspector/&2/g' \
  < $RPM_BUILD_ROOT%{_mandir}/man1/virt-inspector.1 \
  > $RPM_BUILD_ROOT%{_mandir}/man1/virt-inspector2.1
rm $RPM_BUILD_ROOT%{_mandir}/man1/virt-inspector.1
mv $RPM_BUILD_ROOT%{_bindir}/virt-inspector \
   $RPM_BUILD_ROOT%{_bindir}/virt-inspector2

make DESTDIR=$RPM_BUILD_ROOT -C inspector1 install
rm -rf $RPM_BUILD_ROOT%{_docdir}/libguestfs

# Find locale files.
%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING
%{_bindir}/libguestfs-test-tool
%{_libdir}/guestfs/
%{_libdir}/libguestfs.so.*
%{_libexecdir}/libguestfs-test-tool-helper
%{_mandir}/man1/libguestfs-test-tool.1*


%files devel
%defattr(-,root,root,-)
%doc AUTHORS BUGS ChangeLog TODO README RELEASE-NOTES
%doc examples/*.c
%doc installed-docs/*
%{_libdir}/libguestfs.so
%{_mandir}/man3/guestfs.3*
%{_mandir}/man3/guestfs-examples.3*
%{_mandir}/man3/libguestfs.3*
%{_includedir}/guestfs.h
%{_libdir}/pkgconfig/libguestfs.pc


%files -n guestfish
%defattr(-,root,root,-)
%doc recipes/
%{_bindir}/guestfish
%{_mandir}/man1/guestfish.1*
%dir %{_sysconfdir}/bash_completion.d
%{_sysconfdir}/bash_completion.d/guestfish-bash-completion.sh


%files mount
%defattr(-,root,root,-)
%doc COPYING
%{_bindir}/guestmount
%{_mandir}/man1/guestmount.1*


%files tools-c
%defattr(-,root,root,-)
%{_bindir}/virt-cat
%{_mandir}/man1/virt-cat.1*
%{_bindir}/virt-df
%{_mandir}/man1/virt-df.1*
%{_bindir}/virt-filesystems
%{_mandir}/man1/virt-filesystems.1*
%{_bindir}/virt-inspector2
%{_mandir}/man1/virt-inspector2.1*
%{_bindir}/virt-ls
%{_mandir}/man1/virt-ls.1*
%{_bindir}/virt-rescue
%{_mandir}/man1/virt-rescue.1*


%files tools
%defattr(-,root,root,-)
%{_bindir}/virt-edit
%{_mandir}/man1/virt-edit.1*
%{_bindir}/virt-inspector
%{_mandir}/man1/virt-inspector.1*
%{_bindir}/virt-list-filesystems
%{_mandir}/man1/virt-list-filesystems.1*
%{_bindir}/virt-list-partitions
%{_mandir}/man1/virt-list-partitions.1*
%{_bindir}/virt-make-fs
%{_mandir}/man1/virt-make-fs.1*
%{_bindir}/virt-resize
%{_mandir}/man1/virt-resize.1*
%{_bindir}/virt-tar
%{_mandir}/man1/virt-tar.1*
%{_bindir}/virt-win-reg
%{_mandir}/man1/virt-win-reg.1*


%files -n ocaml-%{name}
%defattr(-,root,root,-)
%doc README
%{_libdir}/ocaml/guestfs
%exclude %{_libdir}/ocaml/guestfs/*.a
%exclude %{_libdir}/ocaml/guestfs/*.cmxa
%exclude %{_libdir}/ocaml/guestfs/*.cmx
%exclude %{_libdir}/ocaml/guestfs/*.mli
%{_libdir}/ocaml/stublibs/*.so
%{_libdir}/ocaml/stublibs/*.so.owner


%files -n ocaml-%{name}-devel
%defattr(-,root,root,-)
%doc ocaml/examples/*.ml
%{_libdir}/ocaml/guestfs/*.a
%{_libdir}/ocaml/guestfs/*.cmxa
%{_libdir}/ocaml/guestfs/*.cmx
%{_libdir}/ocaml/guestfs/*.mli
%{_mandir}/man3/guestfs-ocaml.3*


%files -n perl-Sys-Guestfs
%defattr(-,root,root,-)
%doc perl/examples
%{perl_vendorarch}/*
%{_mandir}/man3/Sys::Guestfs.3pm*
%{_mandir}/man3/Sys::Guestfs::Lib.3pm*


%files -n python-%{name}
%defattr(-,root,root,-)
%doc README
%doc python/examples/*.py
%{python_sitearch}/*
%{python_sitelib}/*.py
%{python_sitelib}/*.pyc
%{python_sitelib}/*.pyo
%{_mandir}/man3/guestfs-python.3*


%files -n ruby-%{name}
%defattr(-,root,root,-)
%doc README
%doc ruby/examples/*.rb
%{ruby_sitelib}/guestfs.rb
%{ruby_sitearch}/_guestfs.so
%{_mandir}/man3/guestfs-ruby.3*


%files java
%defattr(-,root,root,-)
%doc README
%{_libdir}/libguestfs_jni*.so.*
%{_datadir}/java/*.jar


%files java-devel
%defattr(-,root,root,-)
%doc README
%{_libdir}/libguestfs_jni*.so


%files javadoc
%defattr(-,root,root,-)
%doc README
%{_datadir}/javadoc/%{name}-java-%{version}


%changelog
* Fri Aug 12 2011 Richard W.M. Jones <rjones@redhat.com> - 1:1.7.17-26
- Document that remote run in cmd substitution context hangs.
  resolves: rhbz#730248
- Note that additional memory may be required to typecheck Augeas lenses.
  resolves: rhbz#729887

* Thu Aug 11 2011 Richard W.M. Jones <rjones@redhat.com> - 1:1.7.17-25
- Fix 'unknown filesystem' warnings in old inspection code
  resolves: rhbz#678231
  resolves: rhbz#666578

* Wed Aug 10 2011 Richard W.M. Jones <rjones@redhat.com> - 1:1.7.17-24
- inspect: Detect 32 bit applications running on WOW64 emulator
  resolves: rhbz#692394
- perl: Binding and test for guestfs_last_errno
  resolves: rhbz#672491
- New API: list-dm-devices
  fish: Show device mapper device in tab completion
  resolves: rhbz#688062
- Document that fullvirt query only works for Linux guests
  resolves: rhbz#690358

* Tue Aug  9 2011 Richard W.M. Jones <rjones@redhat.com> - 1:1.7.17-23
- Use git to manage patches.
- Include all minor bugfixes from upstream stable-1.8 branch up to
  libguestfs 1.8.11.

* Mon Jul  4 2011 Richard W.M. Jones <rjones@redhat.com> - 1:1.7.17-19
- virt-make-fs: Round disk size to integer, fix for qemu-img 0.14.
  resolves: rhbz#695881

* Mon Jul  4 2011 Richard W.M. Jones <rjones@redhat.com> - 1:1.7.17-18
- python: Convert any iterable argument to a list.
  resolves: rhbz#693306
- Renumber the RHEL 6.1-specific patches from 0500+.

* Mon Apr 11 2011 Richard W.M. Jones <rjones@redhat.com> - 1:1.7.17-17
- Remove dependency on gfs2-utils.
  resolves: rhbz#695138

* Tue Mar 29 2011 Richard W.M. Jones <rjones@redhat.com> - 1:1.7.17-16
- Canonicalize /dev/vd* paths in virt-inspector code.
  resolves: rhbz#691724

* Mon Mar  7 2011 Richard W.M. Jones <rjones@redhat.com> - 1:1.7.17-15
- Fix trace segfault for non-daemon functions.
  resolves: rhbz#676788

* Tue Feb 22 2011 Matthew Booth <mbooth@redhat.com> - 1:1.7.17-14
- Add explicit BuildRequires for latest augeas. (RHBZ#677616)

* Tue Feb 15 2011 Matthew Booth <mbooth@redhat.com> - 1:1.7.17-13
- Rebuild to pick up new augeas lens (RHBZ#677616)

* Mon Jan 31 2011 Richard W.M. Jones <rjones@redhat.com> - 1:1.7.17-12
- Fix typo in virt-make-fs manual page.
  resolves: rhbz#673721
- Add a grep-friendly string to LIBGUESTFS_TRACE output.
  resolves: rhbz#673477

* Mon Jan 17 2011 Richard W.M. Jones <rjones@redhat.com> - 1:1.7.17-11
- Only runtime require febootstrap-supermin-helper (not whole of
  febootstrap) (RHBZ#669840).

* Fri Jan 14 2011 Richard W.M. Jones <rjones@redhat.com> - 1:1.7.17-10
- Remove external hexedit script and make guestfish users set $HEXEDITOR.
  This is because requiring emacs pulls in all of X (RHBZ#641494).

* Tue Jan 11 2011 Richard W.M. Jones <rjones@redhat.com> - 1:1.7.17-9
- Fix: guestfish fails when guest fstab entry does not exist (RHBZ#668611).

* Mon Jan 10 2011 Richard W.M. Jones <rjones@redhat.com> - 1:1.7.17-8
- Backport patches up to upstream 1.8.1. (RHBZ#613593)
- Fixes:
   * guestfish: fails to tilde expand '~' when $HOME unset (RHBZ#617440)
   * libguestfs: unknown filesystem /dev/fd0 (RHBZ#666577)
   * libguestfs: unknown filesystem label SWAP-sda2 (RHBZ#666578)
   * libguestfs: unknown filesystem /dev/hd{x} (cdrom) (RHBZ#666579)
   * virt-filesystems fails on guest with corrupt filesystem label (RHBZ#668115)
   * emphasize "libguestfs-winsupport" in error output (RHBZ#627468)

* Mon Dec 20 2010 Richard W.M. Jones <rjones@redhat.com> - 1:1.7.17-4
- Backport patches up to upstream 1.8.0 _except_ for:
   * changes which require febootstrap 3.x
   * changes which were only relevant for other distros

* Tue Nov 30 2010 Richard W.M. Jones <rjones@redhat.com> - 1:1.7.17-3
- New upstream version 1.7.17, rebase for RHEL 6.1 (RHBZ#613593).
- Require febootstrap >= 2.11.
- Split out new libguestfs-tools-c package from libguestfs-tools.
  . This is so that the -tools-c package can be pulled in by people
    wanting to avoid a dependency on Perl, while -tools pulls in everything
    as before.
  . The C tools currently are: cat, df, filesystems, fish, inspector, ls,
    mount, rescue.
  . libguestfs-tools no longer pulls in guestfish.
- guestfish no longer requires pod2text, hence no longer requires perl.
- guestfish also depends on: less, man, vi, emacs.
- Add BR db4-utils (although since RPM needs it, it not really necessary).
- Runtime requires on db4-utils should be on core lib, not tools package.
- Change all "Requires: perl-Foo" to "Requires: perl(Foo)".
- New manual pages containing example code.
- Ship examples for C, OCaml, Ruby, Python.
- Don't ship HTML versions of man pages.
- Rebase no-fuse-test patch to latest version.
- New tool: virt-filesystems.
- Rename perl-libguestfs as perl-Sys-Guestfs (RHBZ#652587).
- Remove guestfs-actions.h and guestfs-structs.h.  Libguestfs now
  only exports a single <guestfs.h> header file.
- Add AUTHORS file from tarball.

* Thu Nov 18 2010 Richard W.M. Jones <rjones@redhat.com> - 1:1.6.2-4
- New upstream stable version 1.6.2, rebase for RHEL 6.1 (RHBZ#613593).
- Remove previous patches which are now all upstream and in this new version.
- BR febootstrap 2.10 (RHBZ#628849).
- BR cryptsetup-luks for new LUKS encryption support.
- ocaml-xml-light{,-devel} is no longer required to build.
- guestfish is no longer dependent on virt-inspector.
- Require the ruby package.
- Disable PHP and Haskell bindings in configure (they wouldn't build anyway,
  but this will help people building from source).
- Set sysconfdir in configure.
- --enable-debug-command is no longer required by configure script.
- New command 'virt-make-fs'.
- Include virt-inspector2, upstream replacement for virt-inspector.
- Provide hexedit replacement script for guestfish.
- BR autotools, and rerun after applying patches.

* Tue Sep  7 2010 Richard W.M. Jones <rjones@redhat.com> - 1:1.2.7-1.24
- Remove runtime requires xfsprogs and /lib64/libhandle.so.1 (RHBZ#630986).
  Note that we have removed support completely from the appliance.  Even
  installing xfsprogs separately will not provide support in this
  build of libguestfs.

* Wed Aug  4 2010 Richard W.M. Jones <rjones@redhat.com> - 1:1.2.7-1.23
- Backport new API is_lv from upstream development branch (RHBZ#619826).

* Fri Jul 30 2010 Richard W.M. Jones <rjones@redhat.com> - 1:1.2.7-1.22
- Include generated code in patch for RHBZ#617165.

* Mon Jul 26 2010 Matthew Booth <mbooth@redhat.com> - 1:1.2.7-1.21
- Rely on upstream augeas lens for modules.conf (RHBZ#616753)
- Use link-local addresses for host<->guest communication (RHBZ#613562)

* Fri Jul 23 2010 Richard W.M. Jones <rjones@redhat.com> - 1:1.2.7-1.20
- Mount operations on unclean filesystems fail when drives are added
  readonly (RHBZ#617165).

* Tue Jul 20 2010 Richard W.M. Jones <rjones@redhat.com> - 1:1.2.7-1.18
- Missing Requires binutils (RHBZ#616438).

* Mon Jul 19 2010 Richard W.M. Jones <rjones@redhat.com> - 1:1.2.7-1.17
- Fix libguestfs-find-requires.sh for new location of hostfiles (RHBZ#615870).

* Thu Jul  8 2010 Richard W.M. Jones <rjones@redhat.com> - 1:1.2.7-1.16
- Don't allow this RPM to be mixed with qemu-kvm RPM from 6.1 (RHBZ#612309).

* Wed Jul  7 2010 Richard W.M. Jones <rjones@redhat.com> - 1:1.2.7-1.11
- For RHBZ#600148:
  * In guestfs_mkfs_b, map block size to cluster size for VFAT and NTFS
  * Remove power-of-2 test from API tests.  Not supported by backported
    code.

* Wed Jul  7 2010 Richard W.M. Jones <rjones@redhat.com> - 1:1.2.7-1.9
- Fix 'add-cdrom' command in RHEL 6 (RHBZ#598807).

* Wed Jul  7 2010 Richard W.M. Jones <rjones@redhat.com> - 1:1.2.7-1.8
- Don't fail if both -m and --listen flags given to guestfish (RHBZ#609990).

* Wed Jul  7 2010 Richard W.M. Jones <rjones@redhat.com> - 1:1.2.7-1.7
- Don't add extra chars after dist tag (RHBZ#604552).

* Wed Jul  7 2010 Richard W.M. Jones <rjones@redhat.com> - 1:1.2.7-1.el6.6
- Backport guestfish help command error status patch from stable branch
  (RHBZ#598771).

* Tue May 18 2010 Richard W.M. Jones <rjones@redhat.com> - 1:1.2.7-1.el6.5
- Backport ignore utempter patch from upstream.
- Work around buggy getlogin_r test in gnulib.
- Explicitly depend on e2fsprogs (no longer pulled in implicitly).

* Mon May 17 2010 Richard W.M. Jones <rjones@redhat.com> - 1:1.2.7-1
- Pull in latest release of upstream stable branch.
- Remove NTFS support from this package.
- Backport supermin unification patch from upstream development branch.

* Wed Apr 21 2010 Richard W.M. Jones <rjones@redhat.com> - 1:1.2.5-1.el6.5
- Branch from Fedora 13 and compile for RHEL-6.
- Include NTFS support in the appliance for V2V and other virtualization
  operations on Windows guests.
- Backport aug_clear API from upstream development branch.

* Tue Apr 20 2010 Richard W.M. Jones <rjones@redhat.com> - 1:1.2.3-1
- New upstream stable branch version 1.2.3.
- Fixes: 582548, 583554, 582948, 582901, 582929, 582899, 582953,
  578407.

* Thu Apr  8 2010 Richard W.M. Jones <rjones@redhat.com> - 1:1.2.2-1
- New upstream stable branch version 1.2.2.
- Fixes RHBZ#580016.
- Fixes several important bugs in virt-resize.

* Thu Apr  8 2010 Richard W.M. Jones <rjones@redhat.com> - 1:1.2.1-1
- New upstream stable branch version 1.2.1.
- Includes the new tools virt-list-partitions, virt-resize, and
  updated virt-rescue and virt-win-reg (with regedit support).
- Reenable tests.
- Fixes bugs: 580650, 579155, 580246, 579664, 578123, 509597,
  505329, 576876, 576688, 576689, 569757, 567567, 570181.

* Fri Mar 12 2010 Richard W.M. Jones <rjones@redhat.com> - 1:1.0.85-2.4
- Backport upstream patch to remove dependency on /lib/libntfs-3g.so.N.
- The above depends on the bash quoting patch, so apply that first.

* Mon Mar 08 2010 Richard W.M. Jones <rjones@redhat.com> - 1:1.0.85-2.3
- Rebuild against latest plymouth in F-13 updates-testing.

* Mon Mar 08 2010 Richard W.M. Jones <rjones@redhat.com> - 1:1.0.85-2.2
- Bump and rebuild.

* Fri Mar 05 2010 Richard W.M. Jones <rjones@redhat.com> - 1:1.0.85-2.1
- Bump and rebuild.

* Wed Mar 03 2010 Richard W.M. Jones <rjones@redhat.com> - 1:1.0.85-2
- Bump and rebuild.

* Mon Mar  1 2010 Richard W.M. Jones <rjones@redhat.com> - 1:1.0.85-1
- New upstream version 1.0.85.
- Remove hivex, now a separate upstream project and package.
- Remove supermin quoting patch, now upstream.

* Mon Mar  1 2010 Richard W.M. Jones <rjones@redhat.com> - 1:1.0.84-6
- Fix quoting in supermin-split script (RHBZ#566511).
- Don't include bogus './builddir' entries in supermin hostfiles
  (RHBZ#566512).

* Mon Feb 22 2010 Richard W.M. Jones <rjones@redhat.com> - 1:1.0.84-4
- Don't include generator.ml in rpm.  It's 400K and almost no one will need it.
- Add comments to spec file about how repo building works.
- Whitespace changes in the spec file.

* Mon Feb 22 2010 Richard W.M. Jones <rjones@redhat.com> - 1:1.0.84-3
- Bump and rebuild.

* Tue Feb 16 2010 Richard W.M. Jones <rjones@redhat.com> - 1:1.0.84-2
- Bump and rebuild.

* Fri Feb 12 2010 Richard W.M. Jones <rjones@redhat.com> - 1:1.0.84-1
- New upstream version 1.0.84.

* Fri Feb 12 2010 Richard W.M. Jones <rjones@redhat.com> - 1:1.0.83-8
- Bump and rebuild.

* Thu Feb 11 2010 Richard W.M. Jones <rjones@redhat.com> - 1.0.83-7
- Disable tests.  These fail in Koji (on RHEL 5 kernel) because of a
  bug in preadv/pwritev emulation in glibc (RHBZ#563103).

* Tue Feb  9 2010 Matthew Booth <mbooth@redhat.com> - 1.0.83-6
- Change buildnonet to buildnet
- Allow buildnet, mirror, updates, virtio and runtests to be configured by user
  macros.

* Mon Feb  8 2010 Richard W.M. Jones <rjones@redhat.com> - 1.0.83-5
- libguestfs-tools should require perl-XML-Writer (RHBZ#562858).

* Mon Feb  8 2010 Richard W.M. Jones <rjones@redhat.com> - 1.0.83-4
- Use virtio for block device access (RHBZ#509383 is fixed).

* Fri Feb  5 2010 Richard W.M. Jones <rjones@redhat.com> - 1.0.83-3
- Rebuild: possible timing-related build problem in Koji.

* Fri Feb  5 2010 Richard W.M. Jones <rjones@redhat.com> - 1.0.83-2
- New upstream release 1.0.83.
- This release fixes:
  Add Marathi translations (RHBZ#561671).
  Polish translations (RHBZ#502533).
  Add Gujarti translations (Sweta Kothari) (RHBZ#560918).
  Update Oriya translations (thanks Manoj Kumar Giri) (RHBZ#559498).
  Set locale in C programs so l10n works (RHBZ#559962).
  Add Tamil translation (RHBZ#559877) (thanks to I.Felix)
  Update Punjabi translation (RHBZ#559480) (thanks Jaswinder Singh)
- There are significant fixes to hive file handling.
- Add hivexsh and manual page.
- Remove two patches, now upstream.

* Sun Jan 31 2010 Richard W.M. Jones <rjones@redhat.com> - 1:1.0.82-7
- Bump and rebuild.

* Fri Jan 29 2010 Richard W.M. Jones <rjones@redhat.com> - 1.0.82-6
- Backport a better fix for RHBZ557655 test from upstream.
- Backport fix for unreadable yum.log from upstream.

* Thu Jan 28 2010 Richard W.M. Jones <rjones@redhat.com> - 1.0.82-3
- Backport RHBZ557655 test fix from upstream.

* Thu Jan 28 2010 Richard W.M. Jones <rjones@redhat.com> - 1.0.82-1
- New upstream version 1.0.82.  This includes the two patches
  we were carrying, so those are now removed.
- This release fixes:
  RHBZ#559498 (Oriya translation).
  RHBZ#559480 (Punjabi translation).
  RHBZ#558593 (Should prevent corruption by multilib).
  RHBZ#559237 (Telugu translation).
  RHBZ#557655 (Use xstrtol/xstrtoll to parse integers in guestfish).
  RHBZ#557195 (Missing crc kernel modules for recent Linux).
- In addition this contains numerous fixes to the hivex library
  for parsing Windows Registry files, making hivex* and virt-win-reg
  more robust.
- New API call 'filesize'.

* Thu Jan 28 2010 Richard W.M. Jones <rjones@redhat.com> - 1.0.81-8
- Backport special handling of libgcc_s.so.
- Backport unreadable files patch from RHEL 6 / upstream.

* Fri Jan 22 2010 Richard W.M. Jones <rjones@redhat.com> - 1.0.81-5
- Require febootstrap >= 2.6 (RHBZ#557262).

* Thu Jan 21 2010 Richard W.M. Jones <rjones@redhat.com> - 1.0.81-4
- Rebuild for unannounced soname bump (libntfs-3g.so).

* Fri Jan 15 2010 Richard W.M. Jones <rjones@redhat.com> - 1.0.81-3
- Rebuild for unannounced soname bump (libplybootsplash.so).

* Thu Jan 14 2010 Richard W.M. Jones <rjones@redhat.com> - 1.0.81-2
- Rebuild for broken dependency (iptables soname bump).

* Wed Jan 13 2010 Richard W.M. Jones <rjones@redhat.com> - 1.0.81-1
- New upstream version 1.0.81.
- Remove two upstream patches.
- virt-inspector: Make RPM application data more specific (RHBZ#552718).

* Tue Jan 12 2010 Richard W.M. Jones <rjones@redhat.com> - 1.0.80-14
- Reenable tests because RHBZ#553689 is fixed.

* Tue Jan 12 2010 Richard W.M. Jones <rjones@redhat.com> - 1.0.80-13
- Rebuild because of libparted soname bump (1.9 -> 2.1).

* Fri Jan  8 2010 Richard W.M. Jones <rjones@redhat.com> - 1.0.80-12
- qemu in Rawhide is totally broken (RHBZ#553689).  Disable tests.

* Thu Jan  7 2010 Richard W.M. Jones <rjones@redhat.com> - 1.0.80-11
- Remove gfs-utils (deprecated and removed from Fedora 13 by the
  upstream Cluster Suite developers).
- Include patch to fix regression in qemu -serial stdio option.

* Tue Dec 29 2009 Richard W.M. Jones <rjones@redhat.com> - 1.0.80-10
- Remove some debugging statements which were left in the requires
  script by accident.

* Mon Dec 21 2009 Richard W.M. Jones <rjones@redhat.com> - 1.0.80-9
- Generate additional requires for supermin (RHBZ#547496).

* Fri Dec 18 2009 Richard W.M. Jones <rjones@redhat.com> - 1.0.80-3
- Work around udevsettle command problem (RHBZ#548121).
- Enable tests.

* Wed Dec 16 2009 Richard W.M. Jones <rjones@redhat.com> - 1.0.80-2
- Disable tests because of RHBZ#548121.

* Wed Dec 16 2009 Richard W.M. Jones <rjones@redhat.com> - 1.0.80-1
- New upstream release 1.0.80.
- New Polish translations (RHBZ#502533).
- Give a meaningful error if no usable kernels are found (RHBZ#539746).
- New tool: virt-list-filesystems

* Fri Dec  4 2009 Stepan Kasal <skasal@redhat.com> - 1:1.0.79-3
- rebuild against perl 5.10.1

* Wed Nov 18 2009 Richard W.M. Jones <rjones@redhat.com> - 1.0.79-2
- New upstream release 1.0.79.
- Adds FUSE test script and multiple fixes for FUSE (RHBZ#538069).
- Fix virt-df in Xen (RHBZ#538041).
- Improve speed of supermin appliance.
- Disable FUSE-related tests because Koji doesn't currently allow them.
  fuse: device not found, try 'modprobe fuse' first

* Tue Nov 10 2009 Richard W.M. Jones <rjones@redhat.com> - 1.0.78-2
- New upstream release 1.0.78.
- Many more filesystem types supported by this release - add them
  as dependencies.

* Tue Nov  3 2009 Richard W.M. Jones <rjones@redhat.com> - 1.0.77-1
- New upstream release 1.0.77.
- Support for mounting guest in host using FUSE (guestmount command).
- hivex*(1) man pages should be in main package, not -devel, since
  they are user commands.
- libguestfs-tools: Fix "self-obsoletion" issue raised by rpmlint.
- perl: Remove bogus script Sys/bindtests.pl.

* Thu Oct 29 2009 Richard W.M. Jones <rjones@redhat.com> - 1.0.75-2
- New upstream release 1.0.75.
- New library: libhivex.
- New tools: virt-win-reg, hivexml, hivexget.
- Don't require chntpw.
- Add BR libxml2-devel, accidentally omitted before.

* Tue Oct 20 2009 Richard W.M. Jones <rjones@redhat.com> - 1.0.74-1
- New upstream release 1.0.74.
- New API call: guestfs_find0.
- New tools: virt-ls, virt-tar.

* Wed Oct 14 2009 Richard W.M. Jones <rjones@redhat.com> - 1.0.73-1
- New upstream release 1.0.73.
- OCaml library now depends on xml-light.
- Deal with installed documentation.

* Tue Sep 29 2009 Richard W.M. Jones <rjones@redhat.com> - 1.0.72-2
- Force rebuild.

* Wed Sep 23 2009 Richard W.M. Jones <rjones@redhat.com> - 1.0.72-1
- New upstream release 1.0.72.
- New tools: virt-edit, virt-rescue.
- Combine virt-cat, virt-df, virt-edit, virt-inspector and virt-rescue
  into a single package called libguestfs-tools.

* Tue Sep 22 2009 Richard W.M. Jones <rjones@redhat.com> - 1.0.71-2
- New upstream release 1.0.71.

* Fri Sep 18 2009 Richard W.M. Jones <rjones@redhat.com> - 1.0.70-2
- Perl bindings require perl-XML-XPath (fixed RHBZ#523547).

* Tue Sep 15 2009 Richard W.M. Jones <rjones@redhat.com> - 1.0.70-1
- New upstream release 1.0.70.
- Fixes build problem related to old version of GNU gettext.

* Tue Sep 15 2009 Richard W.M. Jones <rjones@redhat.com> - 1.0.69-1
- New upstream release 1.0.69.
- Reenable the tests (because RHBZ#516543 is supposed to be fixed).
- New main loop code should fix RHBZ#501888, RHBZ#504418.
- Add waitpid along guestfs_close path (fixes RHBZ#518747).

* Wed Aug 19 2009 Richard W.M. Jones <rjones@redhat.com> - 1.0.68-2
- New upstream release 1.0.68.
- BR genisoimage.

* Thu Aug 13 2009 Richard W.M. Jones <rjones@redhat.com> - 1.0.67-2
- New upstream release 1.0.67.

* Fri Aug  7 2009 Richard W.M. Jones <rjones@redhat.com> - 1.0.66-5
- Set network interface to ne2k_pci (workaround for RHBZ#516022).
- Rerun autoconf because patch touches configure script.

* Thu Aug  6 2009 Richard W.M. Jones <rjones@redhat.com> - 1.0.66-1
- New upstream release 1.0.66.

* Wed Jul 29 2009 Richard W.M. Jones <rjones@redhat.com> - 1.0.65-1
- New upstream release 1.0.65.
- Add Obsoletes for virt-df2 (RHBZ#514309).
- Disable tests because of ongoing TCG problems with newest qemu in Rawhide.

* Thu Jul 23 2009 Richard W.M. Jones <rjones@redhat.com> - 1.0.64-3
- RHBZ#513249 bug in qemu is now fixed, so try to rebuild and run tests.
- However RHBZ#503236 still prevents us from testing on i386.

* Thu Jul 23 2009 Richard W.M. Jones <rjones@redhat.com> - 1.0.64-1
- New upstream release 1.0.64.
- New tool 'libguestfs-test-tool'.

* Wed Jul 15 2009 Richard W.M. Jones <rjones@redhat.com> - 1.0.61-1
- New upstream release 1.0.61.
- New tool / subpackage 'virt-cat'.
- New BR perl-libintl.

* Wed Jul 15 2009 Richard W.M. Jones <rjones@redhat.com> - 1.0.60-2
- Fix runtime Requires so they use epoch correctly.

* Tue Jul 14 2009 Richard W.M. Jones <rjones@redhat.com> - 1.0.60-1
- New upstream release 1.0.60.

* Fri Jul 10 2009 Richard W.M. Jones <rjones@redhat.com> - 1.0.58-2
- New upstream release 1.0.58.

* Fri Jul 10 2009 Richard W.M. Jones <rjones@redhat.com> - 1.0.57-1
- New upstream release 1.0.57.
- New tool virt-df (obsoletes existing package with this name).
- RHBZ#507066 may be fixed, so reenable tests.

* Tue Jul  7 2009 Richard W.M. Jones <rjones@redhat.com> - 1.0.56-2
- New upstream release 1.0.56.
- Don't rerun generator.

* Thu Jul  2 2009 Richard W.M. Jones <rjones@redhat.com> - 1.0.55-1
- New upstream release 1.0.55.
- New manual page libguestfs(3).

* Mon Jun 29 2009 Richard W.M. Jones <rjones@redhat.com> - 1.0.54-2
- New upstream release 1.0.54.
- +BR perl-XML-Writer.

* Wed Jun 24 2009 Richard W.M. Jones <rjones@redhat.com> - 1.0.53-1
- New upstream release 1.0.53.
- Disable all tests (because of RHBZ#507066).

* Wed Jun 24 2009 Richard W.M. Jones <rjones@redhat.com> - 1.0.52-1
- New upstream release 1.0.52.

* Mon Jun 22 2009 Richard W.M. Jones <rjones@redhat.com> - 1.0.51-1
- New upstream release 1.0.51.
- Removed patches which are now upstream.

* Sat Jun 20 2009 Richard W.M. Jones <rjones@redhat.com> - 1.0.49-5
- Remove workaround for RHBZ#507007, since bug is now fixed.
- Pull in upstream patch to fix pclose checking
  (testing as possible fix for RHBZ#507066).
- Pull in upstream patch to check waitpid return values
  (testing as possible fix for RHBZ#507066).

* Fri Jun 19 2009 Richard W.M. Jones <rjones@redhat.com> - 1.0.49-2
- New upstream release 1.0.49.
- Add workaround for RHBZ#507007.

* Tue Jun 16 2009 Richard W.M. Jones <rjones@redhat.com> - 1.0.48-2
- Accidentally omitted the supermin image from previous version.

* Tue Jun 16 2009 Richard W.M. Jones <rjones@redhat.com> - 1.0.48-1
- New upstream release 1.0.48.
- Should fix all the brokenness from 1.0.47.
- Requires febootstrap >= 2.3.

* Mon Jun 15 2009 Richard W.M. Jones <rjones@redhat.com> - 1.0.47-2
- New upstream release 1.0.47.
- Enable experimental supermin appliance build.
- Fix path to appliance.

* Fri Jun 12 2009 Richard W.M. Jones <rjones@redhat.com> - 1.0.45-2
- New upstream release 1.0.45.

* Wed Jun 10 2009 Richard W.M. Jones <rjones@redhat.com> - 1.0.44-2
- Disable ppc/ppc64 tests again because of RHBZ#505109.

* Wed Jun 10 2009 Richard W.M. Jones <rjones@redhat.com> - 1.0.44-1
- New upstream version 1.0.44.
- Try enabling tests on ppc & ppc64 since it looks like the bug(s?)
  in qemu which might have caused them to fail have been fixed.

* Tue Jun  9 2009 Richard W.M. Jones <rjones@redhat.com> - 1.0.43-1
- New upstream version 1.0.43.
- New upstream URL.
- Requires chntpw program.

* Sat Jun  6 2009 Richard W.M. Jones <rjones@redhat.com> - 1.0.42-1
- New upstream version 1.0.42.

* Thu Jun  4 2009 Richard W.M. Jones <rjones@redhat.com> - 1.0.41-1
- New upstream version 1.0.41.
- Fixes a number of regressions in RHBZ#503169.

* Thu Jun  4 2009 Richard W.M. Jones <rjones@redhat.com> - 1.0.40-1
- New upstream version 1.0.40.

* Thu Jun  4 2009 Richard W.M. Jones <rjones@redhat.com> - 1.0.39-1
- New upstream version 1.0.39.
- Fixes:
  . libguestfs /dev is too sparse for kernel installation/upgrade (RHBZ#503169)
  . OCaml bindings build failure (RHBZ#502309)

* Tue Jun  2 2009 Richard W.M. Jones <rjones@redhat.com> - 1.0.38-2
- Disable tests on ix86 because of RHBZ#503236.

* Tue Jun  2 2009 Richard W.M. Jones <rjones@redhat.com> - 1.0.38-1
- New upstream version 1.0.38.

* Fri May 29 2009 Richard W.M. Jones <rjones@redhat.com> - 1.0.37-1
- New upstream version 1.0.37.
- Fixes:
  . "mkdir-p" should not throw errors on preexisting directories (RHBZ#503133)
  . cramfs and squashfs modules should be available in libguestfs appliances
      (RHBZ#503135)

* Thu May 28 2009 Richard W.M. Jones <rjones@redhat.com> - 1.0.36-2
- New upstream version 1.0.36.
- Rerun the generator in prep section.

* Thu May 28 2009 Richard W.M. Jones <rjones@redhat.com> - 1.0.35-1
- New upstream version 1.0.35.
- Fixes multiple bugs in bindings parameters (RHBZ#501892).

* Wed May 27 2009 Richard W.M. Jones <rjones@redhat.com> - 1.0.34-1
- New upstream version 1.0.34.

* Wed May 27 2009 Richard W.M. Jones <rjones@redhat.com> - 1.0.33-1
- New upstream version 1.0.33.
- --with-java-home option is no longer required.
- Upstream contains potential fixes for:
    501878 built-in commands like 'alloc' and 'help' don't autocomplete
    501883 javadoc messed up in libguestfs java documentation
    501885 Doesn't detect missing Java, --with-java-home=no should not be needed
    502533 Polish translation of libguestfs
    n/a    Allow more ext filesystem kmods (Charles Duffy)

* Tue May 26 2009 Richard W.M. Jones <rjones@redhat.com> - 1.0.32-2
- New upstream version 1.0.32.
- Use %%find_lang macro.

* Sat May 23 2009 Richard W.M. Jones <rjones@redhat.com> - 1.0.31-1
- Rebuild for OCaml 3.11.1.
- New upstream version 1.0.31.

* Thu May 21 2009 Richard Jones <rjones@redhat.com> - 1.0.30-1
- New upstream version 1.0.30.  Now includes test-bootbootboot.sh script.

* Thu May 21 2009 Richard Jones <rjones@redhat.com> - 1.0.29-3
- New upstream version 1.0.29 (fixes RHBZ#502007 RHBZ#502018).
- This should allow us to enable tests for i386 and x86-64.
- Added test-bootbootboot.sh script which was missed from 1.0.29 tarball.
- Pass kernel noapic flag to workaround RHBZ#502058.

* Thu May 21 2009 Richard Jones <rjones@redhat.com> - 1.0.28-1
- New upstream version 1.0.28.  Nothing has visibly changed, but
  the source has been gettextized and we want to check that doesn't
  break anything.

* Thu May 21 2009 Richard Jones <rjones@redhat.com> - 1.0.27-3
- Change requirement from qemu -> qemu-kvm (RHBZ#501761).

* Tue May 19 2009 Richard Jones <rjones@redhat.com> - 1.0.27-2
- New upstream version 1.0.27.

* Mon May 18 2009 Richard Jones <rjones@redhat.com> - 1.0.26-6
- Experimentally try to reenable ppc and ppc64 builds.
- Note BZ numbers which are causing tests to fail.

* Mon May 18 2009 Richard Jones <rjones@redhat.com> - 1.0.26-1
- New upstream version 1.0.26.

* Tue May 12 2009 Richard Jones <rjones@redhat.com> - 1.0.25-4
- New upstream version 1.0.25.
- Enable debugging when running the tests.
- Disable tests - don't work correctly in Koji.

* Tue May 12 2009 Richard Jones <rjones@redhat.com> - 1.0.24-1
- New upstream version 1.0.24.
- BRs glibc-static for the new command tests.
- Enable tests.

* Mon May 11 2009 Richard Jones <rjones@redhat.com> - 1.0.23-2
- New upstream version 1.0.23.
- Don't try to use updates during build.

* Fri May  8 2009 Richard Jones <rjones@redhat.com> - 1.0.21-3
- New upstream version 1.0.21.

* Thu May  7 2009 Richard Jones <rjones@redhat.com> - 1.0.20-2
- New upstream version 1.0.20.

* Thu May  7 2009 Richard Jones <rjones@redhat.com> - 1.0.19-1
- New upstream version 1.0.19.

* Tue Apr 28 2009 Richard Jones <rjones@redhat.com> - 1.0.15-1
- New upstream version 1.0.15.

* Fri Apr 24 2009 Richard Jones <rjones@redhat.com> - 1.0.12-1
- New upstream version 1.0.12.

* Wed Apr 22 2009 Richard Jones <rjones@redhat.com> - 1.0.6-1
- New upstream version 1.0.6.

* Mon Apr 20 2009 Richard Jones <rjones@redhat.com> - 1.0.2-1
- New upstream version 1.0.2.

* Thu Apr 16 2009 Richard Jones <rjones@redhat.com> - 0.9.9-12
- Multiple fixes to get it to scratch build in Koji.

* Sat Apr  4 2009 Richard Jones <rjones@redhat.com> - 0.9.9-1
- Initial build.
